Imports System.Windows.Forms

Public Class dlgMakeProperties
    Private Sub btnOk_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOk.Click
        ' Make sure each row has a name and type.
        For r As Integer = 0 To dgvProperties.RowCount - 1
            Dim property_name As String = ""
            If dgvProperties.Item(0, r).Value IsNot Nothing Then
                property_name = dgvProperties.Item(0, r).Value.ToString.Trim()
            End If

            Dim property_type As String = ""
            If dgvProperties.Item(1, r).Value IsNot Nothing Then
                property_type = dgvProperties.Item(1, r).Value.ToString.Trim()
            End If

            If (property_name.Length > 0) Or (property_type.Length > 0) Then
                If property_name.Length = 0 Then
                    MessageBox.Show("Please enter a property name in every non-blank row", _
                        "Missing Name", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                    dgvProperties.CurrentCell = dgvProperties.Item(0, r)
                    dgvProperties.Focus()
                    Me.DialogResult = Windows.Forms.DialogResult.None
                    Exit For
                ElseIf property_type.Length = 0 Then
                    MessageBox.Show("Please enter a data type in every non-blank row", _
                        "Missing Data Type", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                    dgvProperties.CurrentCell = dgvProperties.Item(1, r)
                    Me.DialogResult = Windows.Forms.DialogResult.None
                    dgvProperties.Focus()
                    Exit For
                End If
            End If
        Next r
    End Sub
End Class