<ToolboxBitmap(GetType(AHlsColorDialog), "tbxAHlsColorDialog")> _
Public Class AHlsColorDialog
    Inherits System.ComponentModel.Component

    Private m_Dialog As New AHlsColorDialogForm

    ' Delegate the Color property to m_Dialog.
    Public Property Color() As Color
        Get
            Return m_Dialog.Color
        End Get
        Set(ByVal Value As Color)
            m_Dialog.Color = Value
        End Set
    End Property

    ' Display the HLS color dialog.
    Public Function ShowDialog(Optional ByVal show_rgb As Boolean = False) As DialogResult
        ' Size the form to show the desired scroll bars.
        Dim desired_client_height As Integer
        If Not show_rgb Then
            desired_client_height = m_Dialog.panHLS.Top + m_Dialog.panHLS.Height + 8
        Else
            desired_client_height = m_Dialog.panRGB.Top + m_Dialog.panRGB.Height + 8
        End If
        m_Dialog.Height += desired_client_height - m_Dialog.ClientSize.Height

        ' Display the dialog.
        Return m_Dialog.ShowDialog()
    End Function
End Class
