Imports System.Math
Imports System.Drawing.Drawing2D
'Imports ColorPickercontrols.ColorConversions

Public Class Form1

    Private m_SampleColor As Color = Color.FromArgb(128, 0, 0, 0)

    Private Sub btnPickColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPickColor.Click
        HlsColorDialog1.Color = Me.BackColor
        If HlsColorDialog1.ShowDialog() = Windows.Forms.DialogResult.OK Then
            Me.BackColor = HlsColorDialog1.Color
        End If
    End Sub

    Private Sub btnPickColorWAlpha_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPickColorWAlpha.Click
        AHlsColorDialog1.Color = m_SampleColor
        If AHlsColorDialog1.ShowDialog() = Windows.Forms.DialogResult.OK Then
            m_SampleColor = AHlsColorDialog1.Color
            picSample.Invalidate()
        End If
    End Sub

    Private Sub picSample_Paint(ByVal sender As System.Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles picSample.Paint
        e.Graphics.DrawImage(My.Resources.face, 0, 0)

        Dim br As New SolidBrush(m_SampleColor)
        e.Graphics.FillRectangle(br, picSample.ClientRectangle)
        br.Dispose()
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.BackColor = Color.PaleGreen
        m_SampleColor = Color.FromArgb(128, 0, 128, 255)
    End Sub
End Class
