Public Class Form1

    Private m_NumCustomers As Integer = 10

    ' Find a problem using Debug.Assert.
    Private Sub btnDebugAssert_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDebugAssert.Click
        CheckCustomer(11)
    End Sub

    ' Verify that the customer exists.
    ' Asserts: 0 <= cust_num < m_NumCustomers.
    Private Sub CheckCustomer(ByVal cust_num As Integer)
        Debug.Assert((0 <= cust_num) AndAlso (cust_num < m_NumCustomers), _
            "Parameter cust_num is out of bounds.")

        ' Do other stuff...

    End Sub

    ' Verify that the customer exists.
    ' Asserts: 0 <= cust_num < m_NumCustomers.
    Private Sub CheckCustomerRuntime(ByVal cust_num As Integer)
        ReleaseAssert((0 <= cust_num) AndAlso (cust_num < m_NumCustomers), _
            "Parameter cust_num is out of bounds.")

        ' Do other stuff...

    End Sub

    ' Find a problem using ReleaseAssert.
    Private Sub btnReleaseAssert_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnReleaseAssert.Click
        CheckCustomerRuntime(11)
    End Sub
End Class
