Public Class Form1
    Private Class Big
        Private BigArray(100000) As Integer

        Protected Overrides Sub Finalize()
            Debug.WriteLine("Finalize")
        End Sub
    End Class

    Private m_Big As Big

    ' Alloctae an object.
    Private Sub btnAllocate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAllocate.Click
        m_Big = New Big
        Debug.WriteLine("Allocate: Memory Allocated: " & GC.GetTotalMemory(False))
    End Sub

    ' Release the object.
    Private Sub btnFree_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFree.Click
        Debug.WriteLine("Freeing object")
        m_Big = Nothing
        Debug.WriteLine("Free: Memory Allocated: " & GC.GetTotalMemory(False))
    End Sub

    ' Force garbage collection.
    Private Sub btnCollect_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCollect.Click
        GC.Collect()
        Debug.WriteLine("Collect: Memory Allocated: " & GC.GetTotalMemory(False))
    End Sub
End Class
