Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim txt As String = ""

        ' Get the maximum number of GC generations.
        txt &= "MaxGeneration: " & GC.MaxGeneration & vbCrLf

        ' Show which generation holds this form.
        txt &= "My Generation: " & GC.GetGeneration(Me) & vbCrLf

        ' Show approximate memory allocated.
        txt &= "Allocated: " & GC.GetTotalMemory(False) & vbCrLf

        ' Collect generation 0.
        GC.Collect(0)

        ' Show the form's new generation and allocated memory.
        txt &= "My Generation: " & GC.GetGeneration(Me) & vbCrLf
        txt &= "Allocated: " & GC.GetTotalMemory(False) & vbCrLf

        ' Collect all generations.
        GC.Collect(GC.MaxGeneration)

        ' Show the form's new generation and allocated memory.
        txt &= "My Generation: " & GC.GetGeneration(Me) & vbCrLf
        txt &= "Allocated: " & GC.GetTotalMemory(False) & vbCrLf

        txtInfo.Text = txt
        txtInfo.Select(0, 0)
    End Sub
End Class
