Imports System.Threading
Imports System.Globalization

Public Class Form1
    Public Sub New()
        SetFormLocale()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

    End Sub

    ' Pick the correct size "locale."
    Private Sub SetFormLocale()
        ' See how big the system fonts are.
        Dim culture_info As CultureInfo
        If SystemFonts.CaptionFont.Size < 10 Then
            ' Use the default locale.
            culture_info = New CultureInfo("")
        ElseIf SystemFonts.CaptionFont.Size < 15 Then
            ' Use the large fake locale.
            culture_info = New CultureInfo("uz-UZ-Cyrl")
        Else
            ' Use the extra large fake locale.
            culture_info = New CultureInfo("uz-UZ-Latn")
        End If

        ' Set the locale.
        Thread.CurrentThread.CurrentCulture = culture_info
        Thread.CurrentThread.CurrentUICulture = culture_info
    End Sub
End Class
