Imports System.ComponentModel

Public Class Form1
    Private Enum StateType
        CA
        MA
        CO
        AZ
        WA
        VT
        [ME]
        NH
    End Enum

    Private m_Employee As Employee

    Private Class Employee
        Private m_FirstName As String
        <Category("ContactInfo")> _
        Public Property FirstName() As String
            Get
                Return m_FirstName
            End Get
            Set(ByVal value As String)
                m_FirstName = value
            End Set
        End Property

        Private m_LastName As String
        <Category("ContactInfo")> _
        Public Property LastName() As String
            Get
                Return m_LastName
            End Get
            Set(ByVal value As String)
                m_LastName = value
            End Set
        End Property

        Private m_CellPhone As String
        <Category("ContactInfo")> _
        Public Property CellPhone() As String
            Get
                Return m_CellPhone
            End Get
            Set(ByVal value As String)
                m_CellPhone = value
            End Set
        End Property

        Private m_HomeStreet As String
        <Category("HomeAddress")> _
        Public Property HomeStreet() As String
            Get
                Return m_HomeStreet
            End Get
            Set(ByVal value As String)
                m_HomeStreet = value
            End Set
        End Property

        Private m_HomeCity As String
        <Category("HomeAddress")> _
        Public Property HomeCity() As String
            Get
                Return m_HomeCity
            End Get
            Set(ByVal value As String)
                m_HomeCity = value
            End Set
        End Property

        Private m_HomeState As String
        <Category("HomeAddress")> _
        Public Property HomeState() As String
            Get
                Return m_HomeState
            End Get
            Set(ByVal value As String)
                m_HomeState = value
            End Set
        End Property

        Private m_HomeZip As String
        <Category("HomeAddress")> _
        Public Property HomeZip() As String
            Get
                Return m_HomeZip
            End Get
            Set(ByVal value As String)
                m_HomeZip = value
            End Set
        End Property

        Private m_HomePhone As String
        <Category("HomeAddress")> _
        Public Property HomePhone() As String
            Get
                Return m_HomePhone
            End Get
            Set(ByVal value As String)
                m_HomePhone = value
            End Set
        End Property

        Private m_WorkStreet As String
        <Category("WorkAddress")> _
        Public Property WorkStreet() As String
            Get
                Return m_WorkStreet
            End Get
            Set(ByVal value As String)
                m_WorkStreet = value
            End Set
        End Property

        Private m_WorkCity As String
        <Category("WorkAddress")> _
        Public Property WorkCity() As String
            Get
                Return m_WorkCity
            End Get
            Set(ByVal value As String)
                m_WorkCity = value
            End Set
        End Property

        Private m_WorkState As String
        <Category("WorkAddress")> _
        Public Property WorkState() As String
            Get
                Return m_WorkState
            End Get
            Set(ByVal value As String)
                m_WorkState = value
            End Set
        End Property

        Private m_WorkZip As String
        <Category("WorkAddress")> _
        Public Property WorkZip() As String
            Get
                Return m_WorkZip
            End Get
            Set(ByVal value As String)
                m_WorkZip = value
            End Set
        End Property

        Private m_WorkPhone As String
        <Category("WorkAddress")> _
        Public Property WorkPhone() As String
            Get
                Return m_WorkPhone
            End Get
            Set(ByVal value As String)
                m_WorkPhone = value
            End Set
        End Property

        Private m_WorkExtension As String
        <Category("WorkAddress"), _
         Description("The employees's office extension")> _
        Public Property Extension() As String
            Get
                Return m_WorkExtension
            End Get
            Set(ByVal value As String)
                m_WorkExtension = value
            End Set
        End Property

        Private m_OfficeNumber As String
        <Category("WorkAddress"), _
         Description("The employees's building and office number")> _
        Public Property OfficeNumber() As String
            Get
                Return m_OfficeNumber
            End Get
            Set(ByVal value As String)
                m_OfficeNumber = value
            End Set
        End Property
    End Class

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        m_Employee = New Employee
        With m_Employee
            .FirstName = "Rod"
            .LastName = "Stephens"
            .CellPhone = "222-333-4444"

            .HomeStreet = "1337 Programmer Pl"
            .HomeCity = "Bugsville"
            .HomeState = "AZ"
            .HomeZip = "12345"
            .HomePhone = "333-444-5555"

            .WorkStreet = "736 Abend Av"
            .WorkCity = "Crasher"
            .WorkState = "WI"
            .WorkZip = "54321"
            .WorkPhone = "444-555-6666"
            .Extension = "909"
            .OfficeNumber = "1"
        End With
        pgrdEmployee.SelectedObject = m_Employee
    End Sub
End Class
