Public Class Form1
    Private Delegate Sub ExecuteDelegate()

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        btnGoodDay.Tag = New ExecuteDelegate(AddressOf SayGoodDay)
        btnGutenTag.Tag = New ExecuteClass("Guten Tag")
    End Sub

    Private Sub SayGoodDay()
        MessageBox.Show("Good Day", "SayGoodDay", MessageBoxButtons.OK, MessageBoxIcon.Asterisk)
    End Sub

    Private Sub btnGoodDay_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGoodDay.Click
        Dim btn As Button = DirectCast(sender, Button)
        Dim execute_delegate As ExecuteDelegate = DirectCast(btn.Tag, ExecuteDelegate)
        execute_delegate()
    End Sub

    Private Sub btnGutenTag_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGutenTag.Click
        Dim btn As Button = DirectCast(sender, Button)
        Dim execute_object As ExecuteClass = DirectCast(btn.Tag, ExecuteClass)
        execute_object.Execute()
    End Sub
End Class

Public Class ExecuteClass
    Private m_Message As String
    Public Sub New(ByVal message As String)
        m_Message = message
    End Sub

    Public Sub Execute()
        MessageBox.Show(m_Message, "ExecuteClass", MessageBoxButtons.OK, MessageBoxIcon.Asterisk)
    End Sub
End Class