Public Class Form1
    Private m_MotorHome As MotorHome

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        m_MotorHome = New MotorHome( _
            Single.Parse(txtMPG.Text), _
            Single.Parse(txtFuelCapacity.Text), _
            Single.Parse(txtFuelRemaining.Text), _
            Integer.Parse(txtNumBedrooms.Text), _
            Single.Parse(txtNumBathrooms.Text), _
            Integer.Parse(txtSquareFeet.Text), _
            Single.Parse(txtPricePerSquareFoot.Text))
        txtEstimatedRange.Text = m_MotorHome.CalculateRange().ToString()
        txtEstimatedValue.Text = m_MotorHome.CalculateValue().ToString()
    End Sub

    Private Sub txtMPG_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtMPG.TextChanged
        If m_MotorHome Is Nothing Then Exit Sub
        m_MotorHome.MilesPerGallon = Single.Parse(txtMPG.Text)
        txtEstimatedRange.Text = m_MotorHome.CalculateRange().ToString()
    End Sub

    Private Sub txtFuelCapacity_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtFuelCapacity.TextChanged
        If m_MotorHome Is Nothing Then Exit Sub
        m_MotorHome.FuelCapacity = Single.Parse(txtFuelCapacity.Text)
        txtEstimatedRange.Text = m_MotorHome.CalculateRange().ToString()
    End Sub

    Private Sub txtFuelRemaining_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtFuelRemaining.TextChanged
        If m_MotorHome Is Nothing Then Exit Sub
        m_MotorHome.FuelRemaining = Single.Parse(txtFuelRemaining.Text)
        txtEstimatedRange.Text = m_MotorHome.CalculateRange.ToString()
    End Sub

    Private Sub txtNumBedrooms_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtNumBedrooms.TextChanged
        If m_MotorHome Is Nothing Then Exit Sub
        m_MotorHome.NumberOfBedrooms = Integer.Parse(txtNumBedrooms.Text)
        txtEstimatedValue.Text = m_MotorHome.CalculateValue().ToString()
    End Sub

    Private Sub txtNumBathrooms_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtNumBathrooms.TextChanged
        If m_MotorHome Is Nothing Then Exit Sub
        m_MotorHome.NumberOfBathrooms = Single.Parse(txtNumBathrooms.Text)
        txtEstimatedValue.Text = m_MotorHome.CalculateValue().ToString()
    End Sub

    Private Sub txtSquareFeet_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSquareFeet.TextChanged
        If m_MotorHome Is Nothing Then Exit Sub
        m_MotorHome.SquareFeet = Integer.Parse(txtSquareFeet.Text)
        txtEstimatedValue.Text = m_MotorHome.CalculateValue().ToString()
    End Sub

    Private Sub txtPricePerSquareFoot_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtPricePerSquareFoot.TextChanged
        If m_MotorHome Is Nothing Then Exit Sub
        m_MotorHome.PricePerSquareFoot = Single.Parse(txtPricePerSquareFoot.Text)
        txtEstimatedValue.Text = m_MotorHome.CalculateValue().ToString()
    End Sub
End Class
