Imports System.ComponentModel

<TypeConverter(GetType(ContactConverter))> _
Public Class Contact
    ' Let the owner know when data changes.
    Public Event DataChanged()

    Private m_FirstName As String = "<first name>"
    <RefreshProperties(RefreshProperties.Repaint)> _
    Public Property FirstName() As String
        Get
            Return m_FirstName
        End Get
        Set(ByVal value As String)
            m_FirstName = value
            RaiseEvent DataChanged()
        End Set
    End Property

    Private m_LastName As String = "<last name>"
    <RefreshProperties(RefreshProperties.Repaint)> _
    Public Property LastName() As String
        Get
            Return m_LastName
        End Get
        Set(ByVal value As String)
            m_LastName = value
            RaiseEvent DataChanged()
        End Set
    End Property

    Private m_Phone As String = "<phone>"
    <RefreshProperties(RefreshProperties.Repaint)> _
    Public Property Phone() As String
        Get
            Return m_Phone
        End Get
        Set(ByVal value As String)
            m_Phone = value
            RaiseEvent DataChanged()
        End Set
    End Property
End Class
