' The editor that displays the component editor pages.
' when you right-click the control at design time 
' and select Properties.
Public Class ScribbleControlEditor
    Inherits System.Windows.Forms.Design.WindowsFormsComponentEditor

    ' Return an array containing the types of the component editor pages to display.
    Protected Overrides Function GetComponentEditorPages() As Type()
        Return New Type() { _
            GetType(ScribbleControlEditorBasicsPage), _
            GetType(ScribbleControlEditorPolyPolylinePage) _
        }
    End Function

    ' Return the index of the first page to display.
    Protected Overrides Function GetInitialComponentEditorPageIndex() As Integer
        Return 0
    End Function
End Class
