Imports System.Drawing.Drawing2D

Module GraphicsStuff
    ' Return a GraphicsPath object representing a rounded rectangle.
    Public Function RoundedRectanglePath(ByVal x As Integer, ByVal y As Integer, ByVal wid As Integer, ByVal hgt As Integer, ByVal x_radius As Integer, ByVal y_radius As Integer) As GraphicsPath
        Dim graphics_path As New GraphicsPath
        graphics_path.AddArc(x, y, x_radius * 2, y_radius * 2, 180, 90)
        graphics_path.AddLine(x + x_radius, y, x + wid - x_radius, y)
        graphics_path.AddArc(x + wid - x_radius * 2, y, x_radius * 2, y_radius * 2, -90, 90)
        graphics_path.AddLine(x + wid, y + y_radius, x + wid, y + hgt - y_radius)
        graphics_path.AddArc(x + wid - x_radius * 2, y + hgt - y_radius * 2, x_radius * 2, y_radius * 2, 0, 90)
        graphics_path.AddLine(x + wid - x_radius, y + hgt, x + x_radius, y + hgt)
        graphics_path.AddArc(x, y + hgt - y_radius * 2, x_radius * 2, y_radius * 2, 90, 90)
        graphics_path.AddLine(x, y + hgt - y_radius, x, y + y_radius)

        Return graphics_path
    End Function

    Public Function RoundedRectanglePath(ByVal rect As Rectangle, ByVal x_radius As Integer, ByVal y_radius As Integer) As GraphicsPath
        Return RoundedRectanglePath(rect.X, rect.Y, rect.Width, rect.Height, x_radius, y_radius)
    End Function
End Module
